function testLabel

%% Create a label

% Create a figure
HWIN = figure('menubar','none',...
    'numbertitle','off');

% Get figure size
pos = get(gcf,'position');

% Create a label in the middle of the screen
T = jacontrol(HWIN, 'style', 'label',...
    'string', 'A label',...
    'units','pixels',...
    'position',[20 pos(4)/2 200 120]);

set(HWIN,'name','A label');


%% Change label background color

set(T,'backgroundcolor', [1 1 1]);
set(HWIN,'name','Label with a white background');

%% Change label foreground color

set(T,'foregroundcolor', [0 0 1]);
set(HWIN,'name','Label with a blue foreground');

%% Set label fontsize

set(T,'fontsize', 16);
set(HWIN,'name','Label with a larger font');


%% Center the label

set(T,'horizontalalignment', 'center',...
    'verticalalignment', 'center');
set(HWIN,'name','A centered label');


