function testPanel

%% Create a panel

% Create a figure
HWIN = figure('menubar','none',...
    'numbertitle','off',...
    'position',[0 0 640 512]);

% Create a panel with a title and lineborder in the center of the figure
T = jacontrol(HWIN, 'style', 'panel',...
    'tag','panel',...
    'units','normalized',...
    'position',[0 0 1 1],...
    'title', 'A panel',...
    'borderstyle', 'line');


%% Set background color
 
set(T,'backgroundcolor', [1 1 1]);
set(HWIN,'name','A Panel with a white background');

%% Add a background image

set(T,'image','f:\Modelit\ma\MBDutils\JavaComponentToolbox\ModelitLogo.png');
set(HWIN,'name','A Panel with a background image');

%% Add buttons to the panel

for j=1:4
    button = jacontrol(T, 'style', 'button',...
        'string',sprintf('Button %d',j),'tag',sprintf('button%d',j));
    
    add(T, button, 1, j, 'weightx', 0, 'weighty', 1, 'insets', [10 10 10 10]);
end

drawnow
set(HWIN,'name','A Panel with four buttons');
 

