function testProgressBar

%% Create a ProgressBar

% Create a figure
HWIN = figure('menubar','none',...
    'numbertitle','off');

% Get figure size
pos = get(HWIN,'position');

% Create a progressbar in the middle of the screen
T = jacontrol(HWIN, 'style', 'progressbar',...
    'units','normalized',...
    'units','pixels',...
    'position',[20 pos(4)/2 pos(3)-40 20]);

set(HWIN, 'name', 'A ProgressBar');

%% Set progress

set(T,'value',50);
set(HWIN, 'name', 'A ProgressBar in progress');

%% Set progressbar label

set(T,'string', 'halfway');
set(HWIN, 'name', 'A ProgressBar with a custom label');

%% An undetermined progressbar

set(T, 'value', NaN);
set(HWIN, 'name', 'An undetermined progressbar');

%% A vertical progressbar

set(T,'orientation', 'vertical',...
    'position',[pos(3)/2 20 20 pos(4)-40]);
set(HWIN, 'name', 'A vertical ProgressBar');