function testTable

%% Create a Table

% Create a figure
HWIN = figure('menubar','none',...
    'numbertitle','off');

% Create a table
T = jacontrol(HWIN, 'style', 'table',...
    'units','normalized',...
    'position',[0 0 1 1]);

% Set the data
Ndata=100;
set(T,'data', num2cell([(1:Ndata)',20*(rand(Ndata,3) - .5)]),...
    'columnnames', {'column 1','column 2','column 3','column 4'});

set(HWIN,'name','A table');

%% Specify renderers

set(T, 'columnformat', {'%.0f','%6.4f','%6.2f','%6f.2'});
set(HWIN,'name','A table with renderers');

%% Specify highlighter

set(T, 'highlighter', 'genericgrey');
set(HWIN,'name','A table with a highlighter');
 
%% Set infolabel

set(T, 'infolabel', true);
set(HWIN,'name','A table with an infolabel');

%% Set sortorder

% Sort column 1 in ascending order
% Sort column 2 in descending order
 
set(T, 'sortorder', [3 1 2 -1 1 -1]); 
set(HWIN,'name','A sorted table');

%% Add cell colouring

colorset = winter;
colorset = [[1:size(colorset,1)]' colorset];
set(T, 'colorset', colorset); 
set(T, 'cellbackground', ceil(rand(10,4)*size(colorset,1))); 
set(HWIN,'name','A table with cell colouring');


%% Filter rows

set(T, 'filteredrows', 1:2:Ndata); 
set(HWIN,'name','A table with filtered rows');


%% Filter visible 
set(T, 'FilterVisible', true); 
set(HWIN,'name','Filtercriteria visible');

