%  jacontrol - Construct a modelit.ui.Jacontrol object and set user defined properties.   
%   
%  CALL:   
%   [obj, hcontainer] = jacontrol(hParent, propertyName, propertyValue,...)   
%   [obj, hcontainer] = jacontrol(propertyName, propertyValue, ...)   
%   
%  INPUT:   
%   hParent:   
%     handle of current figure or jacontrol object   
%   varargin:   
%     property-value pairs, see jacontrol/set for valid properties   
%   
%  OUTPUT:   
%   obj:   
%     modelit.ui.Jacontrol   
%   hcontainer:   
%     handle with the returned uicontainer from the call to javacomponent.   
%   
%  NOTE:   
%   Invoking jacontrol without arguments activates a helpbrowser with the available jacontrol styles.   
%   
%  EXAMPLES:   
%   [button, h] = jacontrol('style','button',...   
%                           'string','button',...   
%                           'callback','disp(''Button clicked!'');',...   
%                           'tooltipstring','Click me!',...   
%                           'position',[10 10 200 20]);   
%   
%  See also: javacomponent   
   
   
% © Modelit 2006-2023   
% Matlab release: 2021a   
% Date: 2023/03/30 18:46:31   
