%  listns - list the namespace definitions of the xml-object   
%   
%  CALL:   
%   listns(obj)   
%   
%  INPUT:   
%   obj: <xml-object>   
%   
%  OUTPUT:   
%   no direct output, the defined namespaces are displayed on the console   
%   
%  EXAMPLE   
%   %create an xml-object   
%   obj = xml(fullfile(pwd,'examples','namespaces.xml'))   
%   
%   %no namespaces defined yet   
%   listns(obj)   
%   
%   %add namespaces   
%   addns(obj,{'ns','http://www.w3schools.com/furniture'})   
%   addns(obj,{'nsdim','http://www.modelit.nl/dimension'})   
%   
%   %list namespaces   
%   listns(obj)   
%   
%  See also: xml, xml/addns, xml/clearns, xml/removens, xml/getns   
   
   
% © Modelit 2006-2023   
% Matlab release: 2021a   
% Date: 2023/03/30 18:46:31   
