%  Verify extension, append extension if needed   
%   
%  CALL:   
%   fname = extensie(fname, ext)   
%   
%  INPUT:   
%   fname:   
%      string, candidate filename   
%   ext:   
%      string, required file extension   
%   LEGACY:   
%      if true:   
%          Default behavior. Anything after "." is replaced   
%              extensie('donar.mat','dia')   ==> donar.dia   
%              extensie('donar.mat','mat')   ==> donar.mat   
%              extensie('gis.osm.shp','shp') ==> gis.shp   
%              extensie('gis.osm','shp')     ==> gis.shp   
%   
%      if false:   
%          New behavior (20171022) if proposed file has extension already   
%          (or filename containing ".") and extension is different, append   
%          extension.   
%              extensie('donar.mat','dia')   ==> donar.mat.dia   
%              extensie('donar.mat','mat')   ==> donar.mat   
%              extensie('gis.osm.shp','shp') ==> gis.osm.shp   
%              extensie('gis.osm','shp')     ==> gis.osm.shp   
%   
%  OUTPUT:   
%     fname:   
%          string, filename including extension   
%   
%  EXAMPLE:   
%       fname1 = extensie('donar', 'dia')   
%       fname2 = extensie('donar.dia', 'dia')   
%   
%  APPROACH:   
%     Replace or append extension   
%   
%  AUTHOR:   
%   Nanne van der Zijpp, ModelIT   
%   
%  See also: fileparts, putfile, getfile   
   
   
% © Modelit 2006-2023   
% Matlab release: 2021a   
% Date: 2023/03/30 18:46:31   
