% movegui_align - similar to MOVEGUI but position figure relative to other   
%                figure instead of position on screen. Treat other window as   
%                scree area   
%  CALL   
%      movegui_align(fig,hrelfig,position)   
%   
%  INPUT   
%      fig:     Handle of figure that is to be moved   
%      hrelfig: Position relative to this object. Possible values   
%               Figure handle   
%               "pointer" position relative to pointer   
%      position: way of positioning   
%                 The POSITION argument can be any one of the strings:   
%                  'north'     - top center edge of screen   
%                  'south'     - bottom center edge of screen   
%                  'east'      - right center edge of screen   
%                  'west'      - left center edge of screen   
%                  'northeast' - top right corner of screen   
%                  'northwest' - top left corner of screen   
%                  'southeast' - bottom right corner of screen   
%                  'southwest' - bottom left corner of screen   
%                  'center'    - center of screen   
%                  'onscreen'  - nearest onscreen location to current position.   
%                  'pointer'  - nearest onscreen location to current position.   
%   
%  EXAMPLE:   
%      movegui_align(gcf,'pointer','northwest'),movegui(gcf,'onscreen');   
%   
%  See also: movegui   
   
   
% © Modelit 2006-2023   
% Matlab release: 2021a   
% Date: 2023/03/30 18:46:31   
