%  serializeDOM - serialise a DOM by transformation to a string or file   
%   
%  CALL:   
%      String = serialize(DOM)   
%      serialize(DOM,fileName)   
%   
%  INPUT:   
%      DOM:      <java-object> org.apache.xerces.dom.DocumentImpl   
%      fileName: <string> (optional) valid filename   
%   
%  OUTPUT:   
%      String: <string>  if nargin == 1 the serialised DOM   
%              <boolean> if nargin == 2,   
%                                     0 -> saving to fileName not successful   
%                                     1 -> saving to fileName successful   
%   
%  EXAMPLE:   
%      obj = xml %create an empty xml object   
%      obj.date = now %add fields with values   
%      obj.type = 'test'   
%      save(obj,'test.xml')   
%      obj('test.xml')   
%      inspect(obj)   
%   
%  See also: xml, xml/inspect, xml/view, xml/save   
%   
%  Revisions   
%      20100825 (ZIJPP): modified help info   
   
   
% © Modelit 2006-2023   
% Matlab release: 2021a   
% Date: 2023/03/30 18:46:31   
