%  vararginSubset - Split argument list in two groups.   
%   
%  CALL:   
%   [args_valid,args_other] = vararginSubset(ValidProps,...   
%                      PROPERTY1,VALUE1,PROPERTY2,VALUE2,...)   
%   [args_valid,args_other] = vararginSubset(ValidProps,...   
%                      PROPERTY1,VALUE1,OPTSTRUCT,...)   
%   
%  INPUT:   
%      ValidProps:   
%          Allowable fields (cell array)   
%      PROPERTY,VALUE:   
%          Property-Value pairs, and/or   
%      OPTSTRUCT:      Option structure that stores property value pairs   
%      +----PROPERTY1=VALUE1   
%      +----PROPERTY2=VALUE2   
%   
%  OUTPUT:   
%  	  args_valid:   
%          arguments in varargin that match validprops (cell array)   
%  	  args_other:   
%          arguments in varargin that do not match validprops (cell array).   
%   
%  NOTE:   
%      This module also works for name-value pairs that are specified in   
%      structures. However all input structure are converted to cell arrays   
%      containing name value pairs.   
   
   
% © Modelit 2006-2023   
% Matlab release: 2021a   
% Date: 2023/03/30 18:46:31   
